org.apache.sysds.common

## Enum Types.ExecType

- java.lang.Object
- - java.lang.Enum<Types.ExecType>
  - - org.apache.sysds.common.Types.ExecType

All Implemented Interfaces:
  Serializable, Comparable<Types.ExecType>

Enclosing class:
  Types

    public static enum Types.ExecType
    extends Enum<Types.ExecType>

Execution type of individual operations.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CP`
`CP_FILE`
`FED`
`GPU`
`INVALID`
`SPARK`

### Method Summary

All Methods Static Methods Concrete Methods
`static Types.ExecType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.ExecType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CP

    public static final Types.ExecType CP

#### CP_FILE

    public static final Types.ExecType CP_FILE

#### SPARK

    public static final Types.ExecType SPARK

#### GPU

    public static final Types.ExecType GPU

#### FED

    public static final Types.ExecType FED

#### INVALID

    public static final Types.ExecType INVALID

### Method Detail

#### values

    public static Types.ExecType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.ExecType c : Types.ExecType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.ExecType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null